pg_lo_read_all
pg_lo_seek
PostgreSQL Functions
PHP Manual

# pg_lo_read

(PHP 4 >= 4.2.0, PHP 5)

pg_lo_read — Read a large object

### Description

string pg_lo_read ( resource `$large_object` [, int `$len` ] )

pg_lo_read() reads at most `len` bytes from a large object and returns it as a string.

To use the large object interface, it is necessary to enclose it within a transaction block.

> Note: This function used to be called pg_loread().

### Parameters

`large_object`

  PostgreSQL large object (LOB) resource, returned by pg_lo_open().

`len`

  An optional maximum number of bytes to return. Defaults to 8192.

### Return Values

A string containing `len` bytes from the large object, or `FALSE` on error.

### Examples

Example #1 pg_lo_read() example

`<?php
$doc_oid = 189762345;
$database = pg_connect("dbname=jacarta");
pg_query($database, "begin");
$handle = pg_lo_open($database, $doc_oid, "r");
$data = pg_lo_read($handle, 50000);
pg_query($database, "commit");
echo $data;
?>`

### See Also

- pg_lo_read_all() - Reads an entire large object and send straight to browser

pg_lo_read_all
pg_lo_seek
PostgreSQL Functions
PHP Manual